xemacs21-nomule_21.4.22-14ubuntu1_i386.deb


Advertisement

Description

xemacs21-nomule - highly customizable text editor -- Non-mule binary

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package filename xemacs21-nomule_21.4.22-14ubuntu1_i386.deb
Package name xemacs21-nomule
Package version 21.4.22
Package release 14ubuntu1
Package architecture i386
Package type deb
Category universe/editors
Homepage http://www.xemacs.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.53 MB
Installed size 5.38 MB
XEmacs is a full fledged programming language with a mail reader,
news reader, info browser, web browser, calendar, specialized editor
for more programming languages and other formats than most people
encounter in a lifetime, and much more.
This package contains the actual binary used to run XEmacs.  It
depends on the xemacs21-support package for lisp and etc files, and
the xemacs21-bin package for supporting binaries.  This binary does
not have any of the mule stuff compiled into it.  It should be faster
than the xemacs21-mule and xemacs21-mule-canna-wnn packages because
it does not contain the fairly large bit of code for either the
display or input of non-European characters.
This package actually contains one of the three xemacs binaries
available.  They are xemacs21-nomule, xemacs21-mule and
xemacs21-mule-canna-wnn.

Alternatives

Package Version Architecture Repository
xemacs21-nomule_21.4.22-14ubuntu1_amd64.deb 21.4.22 amd64 Ubuntu Universe
xemacs21-nomule - - -

Requires

Name Value
emacsen-common -
libc6 >= 2.15
libcompfaceg1 -
libdb5.3 -
libgpm2 >= 1.20.4
libjpeg8 >= 8c
libldap-2.4-2 >= 2.4.7
libpng12-0 >= 1.2.13-4
libtiff5 >= 4.0.3
libtinfo5 >= 6
libx11-6 -
libxaw7 -
libxext6 -
libxmu6 -
libxpm4 -
libxt6 -
xemacs21-basesupport >= 2003.04.23-1
xemacs21-bin = 21.4.22-14ubuntu1
xemacs21-support = 21.4.22-14ubuntu1

Provides

Name Value
emacsen -
info-browser -
mail-reader -
news-reader -
www-browser -
xemacs21 -

Conflicts

Name Value
xemacs21-gnome-nomule -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package xemacs21-nomule_21.4.22-14ubuntu1_i386.deb
Source Package xemacs21

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install xemacs21-nomule deb package:
    # sudo apt-get install xemacs21-nomule

Files

Path
/usr/bin/xemacs-21.4.22-nomule
/usr/bin/xemacs21-nomule
/usr/lib/xemacs-21.4.22/i686-linux-gnu/nomule/DOC
/usr/lib/xemacs-21.4.22/i686-linux-gnu/nomule/DUMP
/usr/lib/xemacs-21.4.22/i686-linux-gnu/nomule/config.values
/usr/share/doc/xemacs21-nomule
/usr/share/man/man1/xemacs-21.4.22-nomule.1.gz
/usr/share/man/man1/xemacs21-nomule.1.gz
/usr/share/menu/xemacs21-nomule

Changelog

2015-12-27 - Artur Rona <ari-tczew@ubuntu.com>
xemacs21 (21.4.22-14ubuntu1) xenial; urgency=low
* Merge from Debian unstable.  Remaining changes:
- debian/patches/fix_maximisation-bug.patch:
+ Fix maximisation issue where xemacs21 stayed in an infinite loop.
- debian/patches/force-docs.patch:
+ Force generating documentation (hundreds of warnings with new
makeinfo).
* Drop following changes:
- debian/README.source:
+ No longer needed since package uses quilt.
- debian/control:
+ Don't bump Build-Depends on libtiff-dev
since Debian bumped on libtiff5-dev.
* debian/patches/ftbfs-gcc5.patch:
- Fix FTBFS with GCC 5. (LP: #1506980, Closes: #778180)
2015-04-29 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-14) unstable; urgency=low
* Clean up after half baked removal of circular dependency, add an
empty versioned lib directory now dpkg does the right thing with
that (closes: #783704).
2015-04-29 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-13) unstable; urgency=low
* Clean up after half baked removal of circular dependency, add an
empty versioned lib directory now dpkg does the right thing with
that (closes: #783704).
2015-04-25 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-12) unstable; urgency=low
* Remove dependency from support to binary package since the binary
package already has the equivalent dependency (closees: #735268).
* Conflict against old transitional packages to make absolutely sure
that they are removed before we try to upgrade (closes: #775733).
* Above changes originally from Andreas Beckmann <anbe@debian.org>.
2015-01-19 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-11) unstable; urgency=low
* Remove GNOME transitional packages which have been present for more
than one release already to avoid hang (closes: #775733).
2014-10-16 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-10) unstable; urgency=medium
* Only create symlinks for old etc and lisp directories in the support
package (closes: #696146).
2014-10-15 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-9) unstable; urgency=low
* Bump libtiff build dependency to libtiff5 since libtiff4 was
removed (closes: #765161).
2014-04-11 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-8) unstable; urgency=low
* Add watch file from David Gilman <dgilman@gilslotd.com> (closes: #744089).
* Add homepage.
* Policy 3.9.5 (no changes).
2014-04-08 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-7) unstable; urgency=low
* Build depends on libpng (closes: #662557).
* Use linux-any now it's available (closes: #634666).
* Remove autogeneration of debian/control.
* Remove stray build dep on dpatch.
2014-01-23 - Mark Brown <broonie@debian.org>
xemacs21 (21.4.22-6) unstable; urgency=low
* Build depend on libtiff-dev instead of libtiff4-dev (closes: #736050).

See Also

Package Description
xemacs21-support_21.4.22-14ubuntu1_all.deb highly customizable text editor -- architecture independent support files
xemacs21-supportel_21.4.22-14ubuntu1_all.deb highly customizable text editor -- non-required library files
xemacs21_21.4.22-14ubuntu1_all.deb highly customizable text editor
xen-hypervisor-4.4-amd64_4.6.0-1ubuntu4_i386.deb Transitional package for upgrade
xen-hypervisor-4.5-amd64_4.6.0-1ubuntu4_i386.deb Transitional package for upgrade
xen-hypervisor-4.6-amd64_4.6.0-1ubuntu4_i386.deb Xen Hypervisor on AMD64
xen-system-amd64_4.6.0-1ubuntu4_i386.deb Xen System on AMD64 (meta-package)
xen-tools_4.6.2-1_all.deb Tools to manage Xen virtual servers
xen-utils-4.6_4.6.0-1ubuntu4_i386.deb XEN administrative tools
xen-utils-common_4.6.0-1ubuntu4_all.deb Xen administrative tools - common files
xenomai-doc_2.6.4+dfsg-0.2_all.deb Xenomai documentation
xenomai-kernel-source_2.6.4+dfsg-0.2_all.deb Linux kernel patches for Xenomai
xenomai-system-tools_2.6.4+dfsg-0.2_i386.deb Xenomai system tools utilities
xenstore-utils_4.6.0-1ubuntu4_i386.deb Xenstore command line utilities for Xen
xenwatch_0.5.4-4_i386.deb Virtualization utilities, mostly for Xen
Advertisement
Advertisement